Imports Telerik.WinControls.UI
Imports Telerik.WinControls.Data

Public Class RadForm1

    Private Sub RadForm1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'NwindDataSet.Products' table. You can move, or remove it, as needed.
        Me.ProductsTableAdapter.Fill(Me.NwindDataSet.Products)

        Me.RadGridView1.EnableFiltering = True
        Me.RadGridView1.ShowHeaderCellButtons = True

        Dim filterDescriptor As New FilterDescriptor()
        filterDescriptor.PropertyName = "ProductID"
        filterDescriptor.Value = 5
        filterDescriptor.Operator = FilterOperator.IsEqualTo

        Dim cfd As New CompositeFilterDescriptor()
        cfd.LogicalOperator = FilterLogicalOperator.And
        cfd.FilterDescriptors.Add(filterDescriptor)
        cfd.IsFilterEditor = True

        Me.RadGridView1.FilterDescriptors.Add(cfd)
        Me.RadGridView1.MasterTemplate.ExcelFilteredColumns.Add(Me.RadGridView1.Columns("ProductID"))

         
    End Sub

   

End Class
